Skip to content

Changelog xfce4-panel (4.16.3-1)

2021

xfce4-panel (4.16.3-1) unstable; urgency=medium

   * Team upload.
   * New upstream version 4.16.3.
   * d/control: Bump DH compat to 13.

xfce4-panel (4.16.2-1) unstable; urgency=medium

   * New upstream version 4.16.2

xfce4-panel (4.16.1-1) unstable; urgency=medium

   * New upstream version 4.16.1

2020

xfce4-panel (4.16.0-1) unstable; urgency=medium

   * New upstream version 4.16.0
   * d/control: version xfce4-dev-tools build-dep for 4.16
   * Upload to unstable

xfce4-panel (4.15.6-1) experimental; urgency=medium

   * Team upload.
   * New upstream version 4.15.6.
   * d/control:
     - Bump libxfce4ui-2-dev, libxfce4util-dev B-D.
     - Update 'homepage' field.
   * d/docs: Install README.md.
   * d/watch: Bump version to 4.
   * Update Standards-Version to 4.5.1.

xfce4-panel (4.15.5-1) experimental; urgency=medium

   * Team upload.
   * New upstream version 4.15.5.
   * d/docs: Drop README, not included in this release.

xfce4-panel (4.15.4-1) experimental; urgency=medium

   * Team upload.
 
   [ Debian Janitor ]
   * Fix day-of-week for changelog entries 4.0.2-2, 4.0.0.final-1.
 
   [ Mateusz Łukasik ]
   * New upstream version 4.15.2
   * d/control: Bump libxfce4ui-2-dev minimal version to 4.15.1
   * d/rules: Drop flag for gtk2.
   * d/control: update standards version to 4.5.0
   * d/libxfce4panel-2.0-4.symbols updated for new release
 
   [ Unit 193 ]
   * New upstream version 4.15.4.
   * d/control:
     - Build-Depend on libdbusmenu-gtk3-dev and bump version on libxfce4util-dev
     - Fix casing in xfce4-panel field.
     - R³: no.
   * d/rules: Drop obsolete options.
   * d/control, d/libxfce4panel-2.0-dev.install, d/rules:
     - Enable and install introspection support.
   * d/libxfce4panel-2.0-4.symbols: Set Build-Depends-Package.

xfce4-panel (4.15.0-1) experimental; urgency=medium

   [ Yves-Alexis Perez ]
   * d/salsa-ci.yml: add a Salsa CI config file
   * New upstream version 4.15.0
   * d/patches: rebase patches against new upstream
   * drop libxfce4panel-1.0, gone with GTK-2 support
   * d/control: drop b-deps on GTK-2
   * drop xfce4-panel-dev, now useless
   * d/libxfce4panel-2.0-4.symbols updated for new release
   * d/watch: use uscan special strings
   * d/control: update dh compat level to 12
   * d/control: update standards version to 4.4.1
   * d/xfce4-panel.lintian-overrides dropped
   * d/xfce4-popup-windowlist.1 dropped
 
   [ Unit 193 ]
   * d/watch: Update for upstream's move to mirrorbit.

2019

xfce4-panel (4.14.1-1) unstable; urgency=medium

   * New upstream version 4.14.1

xfce4-panel (4.14.0-1) unstable; urgency=medium

   [ Unit 193 ]
   * New upstream version.
     - Update default panel layout (Closes: #913610)
     - Drop the panel's welcome dialog (Closes: #856309)
   * d/compat, d/control:
     - Drop d/compat in favor of debhelper-compat, bump to 11.
   * d/control:
     - Build-depend on gtk-doc-tools and xfce4-dev-tools for autoreconf.
     - Drop Build-Depend on libdbus-glib-1-dev.
   * d/rules:
     - Drop the now-default option '--parallel'.
     - Drop dbgsym migration, it is complete.
     - Pass '--enable-gtk-doc' during configure to fix consecutive builds.
       (Closes: #884813)
   * Trim whitespace from previous changelog entries.
   * Bump Standards-Version to 4.4.0.

xfce4-panel (4.13.4-1) experimental; urgency=medium

   * New upstream version 4.13.4

2018

xfce4-panel (4.13.3-1) experimental; urgency=medium

   * Moved the package to salsa.debian.org
   * d/gbp.conf added, following DEP-14
   * New upstream version 4.13.3

2017

xfce4-panel (4.13.2-1) experimental; urgency=medium

   [ Yves-Alexis Perez ]
   * New upstream development release.
   * debian/control:
     - update standards version to 4.1.2.
     - update libxfce4util-dev build-dep to 4.13.
   * debian/patches:
     - 03_fix-spelling-error-in-binary dropped, applied upstream.
 
   [ Unit 193 ]
   * d/control, d/copyright, d/watch, d/xfce4-panel.1:
     - Use https where possible.

xfce4-panel (4.13.1-1) experimental; urgency=medium

   [ Unit 193 ]
   * New upstream development release.
     - Drop upstream patches.
   * Update Standards-Version to 4.1.1.
   * d/control:
     - Bump libxfconf-0-dev build-dep to 4.13.2.
     - Drop versioned build-dep on libglib2.0-dev.
   * d/rules:
     - Replace --enable-gtk3 with --enable-gtk2.
     - Use dh_missing instead of dh_install --fail-missing.
     - Drop unused override on dh_auto_clean.

xfce4-panel (4.13.0-1) experimental; urgency=medium

   * New upstream development release.
   * debian/patches refreshed for new upstream release.
   * Run wrap-and-sort.
   * debian/control:
     - update garcon build-dep to 0.5.0 and add garcon-gtk3.
     - update libxfce4ui build-dep to 4.13.
     - update libwnck build-dep to libwnck3.
     - update exo-1 build-dep to exo-2 0.11.2
     - update standards version to 4.0.0.
   * debian/patches:
     - 0001-Fix-datarootdir-declaration-in-.pc-files-Bug-13589 added, fix
     datarootdir declaration in libxfce4panel pkg-config files
     - 0001-Moved-new-property-OPACITY-to-end-make-wrapper-accep added, fix ABI
     change in the panel preventing plugins using wrapper-2.0 4.13 to work with
     4.12 panel.
   * debian/xfce4-panel.shlibs: bump shlibs for new major release.
   * debian/libxfce4panel-2.0-4.symbols updated for new symbols

xfce4-panel (4.12.2-2) UNRELEASED; urgency=medium

   * Moved the package to git on salsa.debian.org
   * Updated the maintainer address to debian-xfce@lists.debian.org

xfce4-panel (4.12.2-1) unstable; urgency=medium

   * debian/watch updated to track 4.12 branch.
   * New upstream bugfix release.
   * debian/control:
     - update standards version to 4.1.2.

2016

xfce4-panel (4.12.1-2) unstable; urgency=medium

   * debian/control:
     - make libxfce4panel-2.0-dev depend on development packages for gtk-3,
       glib and libxfce4util, following the pkg-config file.

xfce4-panel (4.12.1-1) unstable; urgency=medium

   [ Mateusz Łukasik ]
   * New upstream release.
   * debian/control:
     - Update standards version to 3.9.8.
     - Fix duplicate section fields.
     - Use secured link for VCS.
     - Drop xfce4-panel-dbg package.
   * debian/rules:
    - migrate to dbgsym packages.
   * debian/copyright: Fix licences location.
   * debian/patches:
     - Add 03_fix-spelling-error-in-binary.patch to fix lintian warning.

xfce4-panel (4.12.0-4) unstable; urgency=medium

   * debian/xfce4-panel.maintscript dropped, 4.7 transition is long gone.
   * debian/xfce4-panel.postinst dropped, we don't need to manually call
     ldconfig since dh_makeshlibs already does it for us.        closes: #819039
   * debian/control: update standards version to 3.9.7.

2015

xfce4-panel (4.12.0-3) unstable; urgency=medium

   [ Mateusz Łukasik ]
   * debian/control:
     - Make libxfce4panel-2.0-dev depend on libxfce4panel-2.0-4.
   * Add 02_pager-size-for-viewport.patch. (Closes: #785582)
 
   [ Yves-Alexis Perez ]
   * debian/control:
     - drop libxfce4panel-2.0-4 dependency on xfce4-panel.

xfce4-panel (4.12.0-2) unstable; urgency=medium

   * Upload to unstable.

xfce4-panel (4.12.0-1) experimental; urgency=medium

   [ Mateusz Łukasik ]
   * New upstream development release.
   * debian/control:
     update standards version to 3.9.6.
 
   [ Yves-Alexis Perez ]
   * debian/control:
     - fix typo in -dbg short description.

2014

xfce4-panel (4.11.1-1) experimental; urgency=medium

   * New upstream development release.

xfce4-panel (4.11.0-2) experimental; urgency=medium

   * debian/control:
     - add build-dep on libgtk-3-dev.
     - add libxfce4-panel-2.0-4 and libxfce4panel-2.0-dev packages, shipping
       the GTK3 variant of the Xfce panel plugins library.
     - update libxfce4ui-1 build-dep to 4.11.
   * debian/libxfce4panel-2.0-4.install, debian/libxfce4panel-2.0-dev.install:
     - ship libxfce4panel-2.0 files.
   * debian/rules:
     - enable GTK3 check.
   * debian/libxfce4panel-2.0-4.symbols:
     - add a symbol file for libxfce4panel-2.0-4.

xfce4-panel (4.11.0-1) experimental; urgency=low

   [ Evgeni Golov ]
   * Correct Vcs-* URLs to point to anonscm.debian.org
 
   [ Jackson Doak ]
   * Update debian/xfce4-panel.1
   * debian/control: Bump standards-version to 3.9.5
   * debian/rules: Use disable-silent-rules
 
   [ Yves-Alexis Perez ]
   * New upstream development release.
   * debian/control:
     - update garcon build-dep to 0.3.
   * debian/rules:
     - stop messing with POTFILES.skip, not needed anymore.
   * debian/xfce4-panel.install:
     - add version to the wrapper file.
   * debian/xfce4-panel.shlibs:
     - update dependencies for new Xfce version.

2013

xfce4-panel (4.10.1-1) unstable; urgency=low

   * New upstream release.
   * Upload to unstable.
   * debian/xfce4-panel.shlibs:
     - conflicts about a future 4.11 panel.
   * debian/xfce4-panel-dev.install:
     - static files are not built anymore, don't try to install them.
   * debian/rules:
     - enable all hardeningflags.

2012

xfce4-panel (4.10.0-1) experimental; urgency=low

   * New upstream stable release.
   * debian/control: revert to unversioned libxfce4util-dev, bump required
     versions for Xfce 4.10.

xfce4-panel (4.9.2-1) experimental; urgency=low

   * New upstream development release.
   * debian/xfce4-panel.shlibs, debian/xfce4-panel.lintian-overrides: updated
     to the new soname.

xfce4-panel (4.9.1-1) experimental; urgency=low

   [ Lionel Le Folgoc ]
   * New upstream development release, including:
     - "add items to panel" dialogs aren't on top anymore        Closes: #450910
     - fix autosaving to avoid lost settings.                    Closes: #646981
   * debian/xfce4-panel.shlibs: bump to >= 4.9.1, for the new "small" property.
   * debian/rules, debian/xfce4-panel-dev.install: ignore *.a files, not built
     anymore.
   * debian/control:
     - switch to libxfceutil6-dev for the new api, and bump libxfce4ui-1-dev
       b-dep to >= 4.9.0 for the new help api.
   * debian/rules:
     - drop --sourcedir=debian/tmp from dh_install, unneeded.
   * debian/xfce4-panel.install: drop the docs, not build anymore.
 
   [ Yves-Alexis Perez ]
   * debian/control:
     - update debhelper build-dep to 9.
     - update standards version to 3.9.3
   * debian/rules:
     - build with --parallel.

xfce4-panel (4.8.6-4) unstable; urgency=low

   * debian/xfce4-panel.shlibs:
     - conflicts against development panel.
   * debian/rules:
     - build with --parallel.

xfce4-panel (4.8.6-3) unstable; urgency=low

   [ Lionel Le Folgoc ]
   * Use maintscript support in dh_installdeb rather than writing out
     dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
     new enough version of dpkg rather than using 'dpkg-maintscript-helper
     supports' guards, leading to more predictable behaviour on upgrades.
     Thanks Colin Watson for the patch                           Closes: #659887
   * debian/patches: add missing DEP3 headers.
 
   [ Yves-Alexis Perez ]
   * debian/control:
     - update standards version to 3.9.3.

xfce4-panel (4.8.6-2) unstable; urgency=low

   * debian/patches:
     - 02_fix-french-typo added, fix a typo in french translation, thanks Cyril
       Brulebois.
   * debian/control:
     - update debhelper build-dep to 9.

2011

xfce4-panel (4.8.6-1) unstable; urgency=low

   * New upstream release:
     - Fix segfault with not-existing menu.                          lp: #760939
     - Fix typo in fr.po for the directory menu plugin.              lp: #846386
   * debian/xfce4-panel.1: fix path to upstream docs.            Closes: #638204
   * debian/rules: switch hardening to use dh9 mode
   * debian/compat: use mode 9.
   * debian/control:
     - drop build-dep on hardening-includes
     - bump debhelper build-dep to 8.9.4 for dh9 compat mode.
     - add Pre-depends on ${misc:Pre-Depends}.
   * debian/rules: use multi-arch path in various rules.
   * debian/xfce4-panel-dev.install, debian/xfce4-panel.install: use
     multi-arch path.
   * debian/patches/01_support-non-multiarch-modules.patch: support modules
     installed in /usr/lib/$triplet and /usr/lib, to hopefully migrate smoothly
     panel plugins to multiarch path over time without breakage.

xfce4-panel (4.8.5-1) unstable; urgency=low

   * New upstream release.
   * debian/patches:
     - 01_fix-transparency-migration dropped, included upstream.

xfce4-panel (4.8.4-1) unstable; urgency=low

   * New upstream bugfix release.
   * debian/patches:
     - 02_fix-arrow-spacing-vertical-panel.patch: dropped, included upstream.
     - series: refreshed.

xfce4-panel (4.8.3-3) unstable; urgency=low

   * debian/patches:
     - 02_fix-arrow-spacing-vertical-panel added, fix spacing between launchers
       on vertical panels with side arrows.                      closes: #625794
   * debian/rules:
     - ignore translations in .pc so dh_auto_test doesn't fail when make check
       is run in po/.

xfce4-panel (4.8.3-2) unstable; urgency=low

   * debian/patches:
     - 01_fix-transparency-migration added, fix inversion when migrating
       transparency settings.

xfce4-panel (4.8.3-1) unstable; urgency=low

   * New upstream bugfix release.
   * Upload to unstable.
   * debian/control:
     - remove Emanuele and Simon from uploaders thanks to them.
     - update standards version to 3.9.2.
     - update short descriptions.

xfce4-panel (4.8.2-1) experimental; urgency=low

   * New upstream bugfix release.

xfce4-panel (4.8.1-1) experimental; urgency=low

   [ Lionel Le Folgoc ]
   * New upstream bugfix release.
   * debian/control:
     - refreshed (b-)deps for this new major release
     - add myself to Uploaders
     - bump Standards-Version to 3.9.1.
   * debian/NEWS: dropped, unneeded.
   * debian/xfce4-panel.shlibs: refreshed, bump to (>= 4.7.2).
   * debian/xfce4-panel.lintian-overrides: refreshed, new lib name.
   * debian/xfce4-panel.preinst: added, handles removal of old conffiles.
   * debian/xfce4-panel.postinst: explicitly set -e.
   * debian/*.install: refreshed.
   * debian/rules:
     - call dpkg-buildflags
     - dropped rc files mangling as they don't exist anymore
     - updated removal of *.{l,}a files.
     - drop overrides for dh_auto_{configure,clean}, obsolete.
   * debian/xfce4-panel.{preinst,postinst,prerm}: use dpkg-maintscript-helper
     to remove pre-xfconf config files.
   * Bugs fixed by 4.7.x/4.8.x series:
     - rgba support                                                  lp: #586012
     - disappearing menus                                             lp: #53897
     - xrandr support                               lp: #176174, Closes: #432914
     - Fails to reap children, creating zombies                      lp: #420187
     - DND of desktop-files on the panel to create new launchers Closes: #480380
   * Bumped shlibs to >= 4.7.7, abi break for external plugins.
 
   [ Yves-Alexis Perez ]
   * New upstream development release
   * debian/xfce4-panel.install:
     - install wrapper and migrate tools in xfce4-panel package
     - update plugins paths
   * debian/rules:
     - update path when removing .a/.la files for plugins.
     - add hardening flags to {C,LD}FLAGS
   * debian/control:
     - add build-dep on hardening-includes
     - update build-dep on garcon to 0.1.4.
   * debian/copyright updated for new release.

2010

xfce4-panel (4.6.4-1) unstable; urgency=low

   [Stefan Ott]
   * debian/watch edited to track Xfce archive reorganisation.
 
   [Yves-Alexis Perez]
   * New upstream release.
   * debian/xfce4-panel.shlibs
     - conflicts against development panel.
   * Switch to 3.0 (quilt) source format.
   * debian/rules:
     - switch to debhelper 7.
   * debian/control:
     - update standards version to 3.8.4.
     - update debhelper build-dep for overrides.

2009

xfce4-panel (4.6.3-1) unstable; urgency=low

   * New upstream release.
   * debian/control:
     - add depends on ${misc:Depends}.

xfce4-panel (4.6.2-1) unstable; urgency=low

   * New upstream release.
     - fix italian translation.                                  closes: #526459
   * debian/control:
     - update standards version to 3.8.3.
     - remove quilt build-dep.
   * debian/patches:
     - 01_use-exo-open-for-terminal dropped, included upstream.
     - 02_fix-session-restart-command as well.
   * debian/rules:
     - drop quilt stuff.

xfce4-panel (4.6.1-3) unstable; urgency=low

   * debian/patches/
     - 02_fix-session-restart-command added, fix panel command saved in
       session to not use -r arg.
   * debian/control:
     - bump standards version to 3.8.2.

xfce4-panel (4.6.1-2) unstable; urgency=low

   * debian/patches:
     - 1_use-exo-open-for-terminal added, use exo-open for launchers when
       using “run in terminal” option.
   * debian/control:
     - add build-dep on quilt.
   * debian/rules:
     - use quilt rules.

xfce4-panel (4.6.1-1) unstable; urgency=low

   * New upstream release.
     - fix launchers arrow in vertical panel.                    closes: #524676
   * debian/patches:
     - 01_fix-wl-as-needed dropped, merged upstream.

xfce4-panel (4.6.0-2) unstable; urgency=low

   * Upload to unstable.
   * debian/rules:
     - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
     - re-add quilt rules.
     - replace dh_clean -k by dh_prep.
   * debian/control:
     - bump standards version to 3.8.1.
     - add build-dep on quilt.
     - bump debhelper build-dep to 7.
     - move to xfce section.
   * debian/compat bumped to 7.
   * debian/patches:
     - 01_fix-wl-as-needed added, fix build with -Wl,--as-needed.

xfce4-panel (4.6.0-1) experimental; urgency=low

   [ Xfce 4.6 Alpha “Pinkie”]
   * New upstream alpha release.
     - plugin process are correctly terminated when removed.     closes: #457395
   * debian/rules:
     - fail if dh_install misses files.
     - don't mess with config.{guess,sub} anymore.
     - call dh_lintian
     - don't use quilt rules.
   * debian/control:
     - drop build-dep on quilt.
     - update build-dep on debhelper for dh_lintian support.
     - add build-dep on intltool.
     - gq the long desc so they are on 80-cols.
   * add xfce4-popup-windowlist.1, thanks to François Wendling.  closes: #496862
   * debian/xfce4-panel.shlibs: update shlibs to 4.5.90 (Xfce 4.6 Alpha).
 
   [ Xfce 4.6 Beta 1 “Fuzzy”]
   * New upstream beta release.
   * debian/control:
     - update build-deps for Fuzzy.
     - remove useless intltool from build-deps.
     - add build-dep on libxml-parser-perl.
   * debian/xfce4-panel.shlibs: bump shlibs.
 
   [ Xfce 4.6 Beta 2 “Hopper”]
   * New upstream beta release.
   * debian/control:
     - update build-deps for Hopper.
   * debian/xfce4-panel.shlibs:
     - bump shlibs for Hopper.
 
   [ Xfce 4.6 Beta 3 “Tuco-tuco”]
   * new upstream beta release.
   * debian/control:
     - update build-deps for “Tuco-Tuco”.
     - add build-dep on intltool.
     - add dep on libxfce4util-dev and libxfcegui4-dev to xfce4-panel-dev.
 
   [ Xfce 4.6 RC1 “Capybara” ]
   * new upstream release candidate.
   * debian/control:
     - update build-deps for “Capybara”.
     - update deps on -dev packages for “Capybara”.
   * debian/xfce4-panel.shlibs:
     - bump shlibs to 4.5.99.1.
 
   [ Xfce 4.6 ]
   * new upstream release.
   * debian/control:
     - update build-deps for 4.6.
     - update deps on -dev packages for 4.6.
   * debian/xfce4-panel.shlibs:
     - bump shlibs to 4.6.0.
   * debian/copyright:
     - update copyrights, dates and format.

2008

xfce4-panel (4.4.2-6) unstable; urgency=low

   * switch to triggers:
     - debian/postinst: remove xfce-mcs-manager refresh.
     - debian/prerm dropped.
     - debian/control: conflicts against non-triggers-enable xfce4-mcs-manager.
   * debian/control: remove useless Conflicts/Replaces against Sarge stuff.

xfce4-panel (4.4.2-5) unstable; urgency=low

   * debian/patches:
     - 01_fix-dnd-file-panel added, fix a crash when drag & droping a file over
       the panel. (Xfce #3815, r26669).
     - 02_fix-screen-config-dialog added, fix multiscreen support for
       configuration dialogs. (Xfce r26937).                     closes: #481086
   * debian/rules: use quilt make rule.
   * debian/control: remove Martin Loschwitz from Uploaders:. Thanks for the
     work!

xfce4-panel (4.4.2-4) unstable; urgency=low

   * debian/rules:
     - don't edit mousepad launcher…
     - and remove it.
     - remove editor launcher item from panel config.            closes: #426164
     - use $(CURDIR) instead of `pwd`.

xfce4-panel (4.4.2-3) unstable; urgency=low

   * debian/compat: bump debhelper compatibility to 5.
   * debian/control:
     - bump build-dep on debhelper accordingly.
     - update standards version to 3.7.3.
     - update my email address.
     - add a -dbg package
   * debian/rules: install debugging informations into -dbg package.
   * debian/copyright: use © sign.

xfce4-panel (4.4.2-2) unstable; urgency=low

   * Add dependency on new exo-utils for exo-open

2007

xfce4-panel (4.4.2-1) unstable; urgency=low

   [ Simon Huggins ]
   * debian/control: Move fake Homepage field to a real one now dpkg
     supports it.
 
   [ Yves-Alexis Perez ]
   * New upstream release.
   * debian/patches:
     - removed 02_fix-segfault-gtk2.11.patch, included upstream.
 
   [ Simon Huggins ]
   * Add Vcs-* headers to debian/control

xfce4-panel (4.4.1-2) unstable; urgency=low

   [ Simon Huggins ]
   * Use ${binary:Version} so we are binNMU safe.
   * debian/xfce4-panel.prerm: Use kill -s to keep Hurd and lintian happy at
     the same time.
 
   [ Yves-Alexis Perez ]
   * debian/xfce4-panel.1: update bug reporting in manpage.
   * debian/xfce4-panel.postinst: use posix kill -s              closes: #374618
   * debian/patches: added 02_fix-segfault-gtk2.11.patch, fix segfault when
     removing a panel.                                           closes: #446536
 
   [ Emanuele Rocca ]
   * debian/rules: do not ignore make errors in the clean target.

xfce4-panel (4.4.1-1) unstable; urgency=low

   * New upstream release.
   * debian/patch: added patch to reduce margin size of launchers.
   * debian/control: added versionned build-dep against gtk 2.10.
   * debian/copyright: updated copyright holders.

xfce4-panel (4.4.0-2) experimental; urgency=low

   * debian/rules: remove /usr/lib/libxfce4panel.la from the package.
   * debian/xfce4-panel.install: ship xfce4-panel-manager.desktop in
     /usr/share/applications.

xfce4-panel (4.4.0-1) experimental; urgency=low

   * New upstream release.
   * debian/control: updated build-deps against Xfce 4.4.

2006

xfce4-panel (4.3.99.2-1) unstable; urgency=low

   * New upstream release.
   * debian/control: updated build-deps against Xfce 4.4RC2 (4.3.99.2).

xfce4-panel (4.3.99.1-1) unstable; urgency=low

   * New upstream release.
   * debian/control: updated build-dep against Xfce 4.4RC1 (4.3.99.1).

xfce4-panel (4.3.90.2-3) unstable; urgency=low

   * Bump shlibs file too.

xfce4-panel (4.3.90.2-2) unstable; urgency=low

   * xfce4-panel should continue shipping xfce-filemanager.png as it has done
     since the beginning.
   * Add Replaces: on the bogus xfce4-mcs-plugins version.

xfce4-panel (4.3.90.2-1) unstable; urgency=low

   (Yves-Alexis Perez)
   * New upstream release.
   * debian/NEWS: fixed typo.
   * debian/postinst: fixed install on hurd by not using pkill.	Closes: #374618
   * debian/control: updated standard versions to 3.7.2.
   (Simon Huggins)
   * Add rpath fixes.

xfce4-panel (4.3.90.1-3) unstable; urgency=low

   * (Simon Huggins)
     * Conflict/Replace -trigger-launcher too.
 
   * (Yves-Alexis Perez)
     * debian/NEWS: warn users they will lose their 4.2 panel config.

xfce4-panel (4.3.90.1-2) unstable; urgency=low

   * (Simon Huggins)
     * Add dependency on libexo-0.3-0 for exo-open which we use in our default
       panel config.
     * Ship the README.Plugins
   * (Yves-Alexis Perez)
     * Use the correct libexec dir

xfce4-panel (4.3.90.1-1) unstable; urgency=low

   * New Upstream Release

2005

xfce4-panel (4.2.3-1) unstable; urgency=low

   * New Upstream Release
   * Send xfce-mcs-manager a SIGUSR1 so it notices the plugin.

xfce4-panel (4.2.2-1) unstable; urgency=low

   * New Upstream Release
   * Remove Build-Depends on libstartup-notification0-dev as this should be
     satisfied via libxfce4gui-dev now
   * Remove Depends on debianutils, it is Essential
   * Change suite to unstable

xfce4-panel (4.2.1.1-1) experimental; urgency=low

   * ML: New Upstream Release (Xfce 4.2.1.1)
   * ML: Upload to experimental to prevents problems with NEW packages
   * ML: debian/control: Added Maintainer/Uploaders fields

xfce4-panel (4.2.0-2) experimental; urgency=low

   * Add --enable-final to configure
   * Add a Homepage: to the description
   * Ship the README.Kiosk as well

xfce4-panel (4.2.0-1) experimental; urgency=low

   * New Upstream Release
   * Conflict against all versions of xfce4-themes since upstream no longer
     ship this.

2004

xfce4-panel (4.1.99.1-1) experimental; urgency=low

   * ML: New Upstream Release (4.1.99.1 alias XFce4 4.2 RC1)

xfce4-panel (4.0.6-1) unstable; urgency=high

   * urgency high to avoid previous buildd mess; last upload stage building dev
     packages required before we can upload the rest (see
     http://wiki.earth.li/XfceDebian)
   * New upstream release
     - includes fix for non existant xfce-settings.xml           closes: #254467
   * Update .no translation still not picked up upstream yet
   * Change mozilla to sensible-browser (and depend on debianutils which
     provides this)                                              closes: #221835

xfce4-panel (4.0.5-4) unstable; urgency=low

   * And extracting po/no.gmo so it builds, I also overwrote my lovingly
     updated libtool stuff.
     Update libtool once again.                                  closes: #252927

xfce4-panel (4.0.5-3) unstable; urgency=low

   * Except obviously whilst I don't mind installing the -dev package with the
     old one around I do want to build against the new libxfce4gui sigh
     Update the Build-Depends libxfce4gui dependency to the new version.

xfce4-panel (4.0.5-2) unstable; urgency=low

   * Change the depends in the -dev pacage to be less strict >= instead of = so
     the new libxfcegui4-dev doesn't cause problems.

xfce4-panel (4.0.5-1) unstable; urgency=high

   * urgency high to avoid previous buildd mess; last upload stage building dev
     packages required before we can upload the rest (see
     http://wiki.earth.li/XfceDebian)
   * New upstream release
   * Update upstream's libtool
   * Fix path to docs in manpage
   * Add libstartup-notification support to the panel
   * Typo in debian/control "wort" -> "worth"
   * Update .no translation not picked up upstream yet closes: #240275

xfce4-panel (4.0.3-3) unstable; urgency=low

   * Fix the section in the control file closes: #236669
   * Update libtool
   * Just adding Daniel wasn't enough.  Add self to Uploaders so katie doesn't
     think this is an NMU again.

xfce4-panel (4.0.3-2) unstable; urgency=low

   * Add libxfcegui4-dev to the Depends closes: #232803

xfce4-panel (4.0.3-1) unstable; urgency=low

   * New upstream release
   * Add Daniel Silverstone <dsilvers@debian.org> to Uploaders as approved by
     madkiss
   * Add xfce4-panel manpage to point at upstream documentation
   * Remove .la and .a files as these are only for the plugins
   * Thanks to Daniel for checking and uploading these packages

xfce4-panel (4.0.2-2.1) unstable; urgency=low

   * NMU
   * Fix aclocal, add Depends: libxml2-dev to xfce4-panel-dev.  Closes: #227606

2003

xfce4-panel (4.0.2-2) unstable; urgency=low

   * Adding Build-Dependency for libxfce4gui-dev

xfce4-panel (4.0.2-1) unstable; urgency=low

   * Acknowledging NMU (Closes: #215589)
   * New upstream release

xfce4-panel (4.0.0.final-1.1) unstable; urgency=low

   * NMU
   * Add xfce4-mcs-manager-dev to Build-Depends (Closes: #215589)
   * libxft-dev now Provides: libxft2-dev, so Build-Depend on that

xfce4-panel (4.0.0.final-1) unstable; urgency=low

   * Initial Release.